libdbi1_0.9.0-5+b1_i386.deb


Advertisement

Description

libdbi1 - DB Independent Abstraction Layer for C -- shared library

Property Value
Distribution Debian Sid
Repository Debian Main i386
Package filename libdbi1_0.9.0-5+b1_i386.deb
Package name libdbi1
Package version 0.9.0
Package release 5+b1
Package architecture i386
Package type deb
Category libs role::shared-lib
Homepage http://libdbi.sourceforge.net/
License -
Maintainer Laszlo Boszormenyi (GCS) <gcs@debian.org>
Download size 32.91 KB
Installed size 101.00 KB

Alternatives

Package Version Architecture Repository
libdbi1_0.9.0-5+b1_amd64.deb 0.9.0 amd64 Debian Main
libdbi1 - - -

Requires

Name Value
libc6 >= 2.8

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libdbi1_0.9.0-5+b1_i386.deb
Source Package libdbi

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libdbi1 deb package:
    # sudo apt-get install libdbi1

Files

Path
/usr/lib/i386-linux-gnu/libdbi.so.1
/usr/lib/i386-linux-gnu/libdbi.so.1.1.0
/usr/share/doc/libdbi1/NEWS.gz
/usr/share/doc/libdbi1/changelog.Debian.gz
/usr/share/doc/libdbi1/changelog.Debian.i386.gz
/usr/share/doc/libdbi1/changelog.gz
/usr/share/doc/libdbi1/copyright

Changelog

2017-10-28 - Laszlo Boszormenyi (GCS) <gcs@debian.org>
libdbi (0.9.0-5) unstable; urgency=medium
* Backport fix to re-enable a call to _error_handler() that was commented
out for no obvious reason in dbi_result_next_row() .
* Update Standards-Version to 4.1.1:
- change libdbi1-dbg priority to optional.
* Update debhelper level to 10:
- remove dh-autoreconf build dependency.
2014-11-01 - Laszlo Boszormenyi (GCS) <gcs@debian.org>
libdbi (0.9.0-4) unstable; urgency=medium
* Backport fix for double-free in dbi_shutdown_r() (closes: #764130).
* Update Standards-Version to 3.9.6 .
2014-09-21 - Laszlo Boszormenyi (GCS) <gcs@debian.org>
libdbi (0.9.0-3) unstable; urgency=medium
* Backport important upstream patches:
- fix memory leak if not connected (closes: #745980),
- fix possible access to unallocated memory.
2014-04-04 - Prach Pongpanich <prachpub@gmail.com>
libdbi (0.9.0-2) unstable; urgency=medium
* Add missing copyright holders and fixed syntax (Closes: #736240)
* Add Breaks against non-multiarchified versions of libdbd-* packages.
Thanks to S├ębastien Villemot for the suggestion (Closes: #737286)
2014-01-20 - Laszlo Boszormenyi (GCS) <gcs@debian.org>
libdbi (0.9.0-1) unstable; urgency=medium
[ Laszlo Boszormenyi (GCS) ]
* Correct debian/copyright .
[ Prach Pongpanich ]
* Imported Upstream version 0.9.0 (Closes: #708115, #717437)
* Use debhelper short rules with autoreconf (Closes: #565558)
* Add -dbg package
* Update symbols file for new symbols
* Add multiarch support
* Bump Standards-Version to 3.9.5
* Change Vcs fields to point to collab-maint
* Adopt package (Closes: #635659)
2012-04-13 - Thomas Goirand <zigo@debian.org>
libdbi (0.8.4-6) unstable; urgency=low
[ Thomas Goirand ]
* debian/copyright switched to machine readable format.
* Cleans a bit the debian/rules file.
[ Jari Aalto <jari.aalto@cante.net> ]
* Remove deprecated dpatch and upgrade to packaging format "3.0 quilt"
(Closes: #668338).
* Update to Standards-Version to 3.9.3.1 and debhelper to 9.
* Add build-arch and build-indep targets and adjust clean in rules file.
* Fix duplicate-in-relation-field automake libtool (Lintian).
* Fix copyright-refers-to-symlink-license (Lintian).
2011-07-22 - Philipp Kern <pkern@debian.org>
libdbi (0.8.4-5.1) unstable; urgency=low
* Non-maintainer upload.
* Drop the unneeded Replaces/Conflicts from libdbi1.
* Drop the unneeded Breaks from libdbi-dev and fix the Replaces
to state the right version.  (Closes: #633484)
Thanks to Angel Abad <angelabad@gmail.com> for the help.
2011-07-11 - Thomas Goirand <zigo@debian.org>
libdbi (0.8.4-5) unstable; urgency=low
* Now Replaces: libdbi (<< 0.8.4-2) and not <= (Closes: #633484).
2011-07-11 - Thomas Goirand <zigo@debian.org>
libdbi (0.8.4-4) unstable; urgency=low
* Now also Breaks: libdbi (<= 0.8.4-2) (Closes: #633484).
2011-07-10 - Thomas Goirand <zigo@debian.org>
libdbi (0.8.4-3) unstable; urgency=low
* Added a Breaks: libdbi0 and Replaces: libdbi0 in the libdbi-dev so that the
.a and .la files now in libdbi-dev will upgrade correctly (Closes: #633484).

See Also

Package Description
libdbicx-sugar-perl_0.0200-1_all.deb syntax sugar for DBIx::Class
libdbicx-testdatabase-perl_0.05-2_all.deb module for testing a DBIx::Class::Schema
libdbix-abstract-perl_1.040-2_all.deb DBI SQL abstraction
libdbix-class-candy-perl_0.005003-1_all.deb module providing syntax sugar for DBIx::Class
libdbix-class-cursor-cached-perl_1.001004-1_all.deb cursor object with built-in caching support
libdbix-class-datetime-epoch-perl_0.10-1_all.deb extension for creating DateTime objects from columns
libdbix-class-deploymenthandler-perl_0.002222-1_all.deb extensible module for DBIx::Class deployment
libdbix-class-dynamicdefault-perl_0.04-2_all.deb dbix-class extension to automatically set and update fields
libdbix-class-encodedcolumn-perl_0.00016-1_all.deb extension to encode column values automatically
libdbix-class-helpers-perl_2.034000-1_all.deb collection of helpers for DBIx::Class
libdbix-class-htmlwidget-perl_0.16-5_all.deb DBIx::Class::HTMLWidget perl module
libdbix-class-inflatecolumn-fs-perl_0.01007-1_all.deb Inflate/deflate columns to Path::Class::File objects
libdbix-class-inflatecolumn-ip-perl_0.02003-1_all.deb extension for creating NetAddr::IP objects from columns
libdbix-class-inflatecolumn-serializer-perl_0.09-1_all.deb DBIx::Class inflator to serialize Perl data structures
libdbix-class-introspectablem2m-perl_0.001002-1_all.deb Introspection of many-to-many DBIx::Class relationships
Advertisement
Advertisement